QGIS Application - Bug report #11011
Python error in several Processing modules in QGIS master
2014-08-05 11:04 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19353
Description

In the latest QGIS master many modules (ex. r.report) fail to run with

Traceback (most recent call last):

File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\Processing Toolbox.py", line 194, in executeAlgorithm
dig = ParametersDialog(alg)

File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\ParametersDialog.py", line 38, in init
self.paramTable = ParametersPanel(self, alg)

File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\ParametersPanel.py", line 84, in init
self.initGUI()

File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\ParametersPanel.py", line 116, in initGUI
widget = self.getWidgetFromParameter(param)

File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\ParametersPanel.py", line 301, in getWidgetFromParameter

param.isinteger)
File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\processing\\gui\\NumberlnputPanel.py", line 47, in init
self.spnValue.setMinimum(minimum)
TypeError: QDoubleSpinBox.setMinimum(float): argument 1 has unexpected type 'str'

Associated revisions

Revision 4fb28987 - 2014-08-06 01:26 PM - Alexander Bruy

[processing] convert strings to numbers when initializing parameters

from description file (fix #11011)

History

#1 - 2014-08-06 04:26 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"4fb28987bacff2c94766b27ecd3d7e30e0194655".

#2 - 2014-08-06 04:27 AM - Alexander Bruy

- Resolution set to fixed/implemented

#3 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
